# Rebuild switch: 
#  --with xine    Enables xine engine
#

%{?_with_xine: %define use_xine 1}

Name:       amarok
Summary:    Media player for KDE
Version:    1.1.0
Release:    0.fdr.2.2
Epoch:      0

Group: 	    Applications/Multimedia
License:    GPL
Url:        http://amarok.kde.org
Source0:    http://dl.sf.net/amarok/amarok-1.1.tar.bz2
Source1:    amarok.desktop
Source2:    amarok.servicemenu
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	kdelibs-devel >= 6:3.2, libjpeg-devel, libpng-devel 
BuildRequires:  glib2-devel kdemultimedia-devel >= 6:3.2
BuildRequires:  libmng-devel alsa-lib-devel 
BuildRequires:  taglib-devel >= 0:1.3, esound-devel, xmms-devel
BuildRequires:  desktop-file-utils, gettext
BuildRequires:  xorg-x11-Mesa-libGL
BuildRequires:  gstreamer-devel >= 0:0.8.1
BuildRequires:  gstreamer-plugins-devel >= 0:0.8.1
BuildRequires:  libmusicbrainz-devel, xmms-devel >= 1:1.2

%if  0%{?use_xine}
BuildRequires:  xine-lib-devel >= 0:1.0.0
BuildRequires:  libmad-devel
%endif

Requires:   kdemultimedia >= 6:3.2
# Fix OpenGL analyzers because of a qt packaging bug (#126422)
Requires:   xorg-x11-devel

%description
Amarok is a KDE multimedia player with:
 - fresh playlist concept, very fast to use, with drag and drop
 - plays all formats supported by aRts or gstreamer
 - audio effects, like reverb and compressor
 - compatible with the .m3u and .pls formats for playlists
 - nice GUI, integrates into the KDE look, but with a unique touch

%if 0%{?use_xine}
%package xine
Summary:    Xine engine for Amarok
Group:      Applications/Multimedia
Requires:   %{name} = %{epoch}:%{version}

%description xine
Amarok can also use the xine engine to decode sound. This package
enables it
%endif


%prep
%setup  -q -n %{name}-1.1
perl -pi -e 's,\$\(KDE_LANG\)//,\$\(KDE_LANG\)/amarok/,g' doc/??/Makefile.in
perl -pi -e 's,\$\(KDE_LANG\)/$,\$\(KDE_LANG\)/amarok,g' doc/??/Makefile.in


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
%configure \
     --disable-rpath \
     --disable-debug \
%if 0%{?use_xine}
     --with-xine
%endif
#     --enable-final \
#     --with-nmm \
#     --with-mas

make %{?_smp_mflags}


%install
rm -fr $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

# desktop files
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

desktop-file-install  --vendor fedora \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        --add-only-show-in KDE \
        --add-category Application \
        --add-category X-Fedora \
        %{SOURCE1}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/apps/konqueror/servicemenus/%name.desktop

rm -f $RPM_BUILD_ROOT%{_datadir}/applnk/Multimedia/%{name}.desktop
rm -f $RPM_BUILD_ROOT%{_datadir}/applications/kde/%{name}.desktop
# Amarok crashes without the *.la files !
#find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# rename .mo files from amarok-%version.mo to amarok.mo
#for file in $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/amarok-%version.mo; do
#    mv "$file" "`dirname $file`/`basename $file -%version.mo`.mo"
#done    
%find_lang %{name}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%_bindir/*
%_datadir/apps/%{name}
%_datadir/icons/*/*/*
%{_datadir}/applications/*.desktop
%{_datadir}/services/amarok_artsengine_plugin.desktop
%{_datadir}/services/amarok_gstengine_plugin.desktop
%{_datadir}/services/amarok_void-engine_plugin.desktop
%{_datadir}/servicetypes/*.desktop
%{_datadir}/apps/konqueror/servicemenus/*.desktop
%{_libdir}/lib*
%{_libdir}/kde3/libamarok_artsengine_plugin.*
%{_libdir}/kde3/libamarok_gstengine_plugin.*
%{_libdir}/kde3/libamarok_void-engine_plugin.*
%{_libdir}/mcop/Amarok
%{_libdir}/mcop/amarok*
%{_datadir}/config/amarokrc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/*/amarok

%if 0%{?use_xine}
%files xine
%defattr(-,root,root)
%{_libdir}/kde3/libamarok_xine-engine.*
%{_datadir}/services/amarok_xine-engine.desktop
%{_datadir}/services/amarok_xineengine_plugin.desktop
%endif


%changelog
* Mon Sep 27 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.2
- improve buildrequires

* Sun Sep 26 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.1
- version 1.1 final

* Tue Sep 14 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.1.0-0.fdr.0.1.beta2
- version 1.1 beta2

* Thu Aug 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.2-0.fdr.1
- version 1.0.2
- added new xine engine

* Tue Jul 13 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.3
- remove BR: libselinux-devel: RH fixed the bug

* Wed Jun 30 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.2
- add Requires: xorg-x11-devel because of a qt packaging bug

* Tue Jun 29 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.1-0.fdr.1
- version 1.0.1 (bugfixes)

* Mon Jun 21 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.3
- remove BR: xine-lib-devel
- add BR: xorg-x11-Mesa-libGL and libselinux-devel

* Thu Jun 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.2
- add translations

* Thu Jun 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.1
- version 1.0 final

* Tue Jun 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0-0.fdr.0.1.beta4
- update to beta4

* Sun May 09 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta3
- version 1.0-beta3

* Fri Apr 23 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta2
- version 1.0-beta2
- use desktop-file-install
- remove .la files
- remove --enable-final (won't build with it)

* Thu Apr 15 2004 Aurelien Bompard <gauret[AT]free.fr> 1.0-0.fdr.0.1.beta1
- version 1.0-beta1
- reduce BuildRequires : arts-devel already requires arts, libvorbis-devel
  and audiofile-devel

* Mon Mar 08 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.9-0.fdr.1
- version 0.9

* Wed Feb 11 2004 Aurelien Bompard <gauret[AT]free.fr> 0.8.3-0.fdr.1
- initial package
